# cv::PyramidAdaptedFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::PyramidAdaptedFeatureDetector:

List of all members.

## Public Member Functions

| PyramidAdaptedFeatureDetector (const Ptr< FeatureDetector > &detector, int levels=2)

## Protected Member Functions

virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes

Ptr< FeatureDetector > | detector
int | levels

## Constructor & Destructor Documentation

cv::PyramidAdaptedFeatureDetector::PyramidAdaptedFeatureDetector | ( | const Ptr< FeatureDetector > & | detector,
|  | int | levels = `2`
| ) |  |

## Member Function Documentation

virtual void cv::PyramidAdaptedFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

## Member Data Documentation

Ptr<FeatureDetector> cv::PyramidAdaptedFeatureDetector::detector`[protected]`

int cv::PyramidAdaptedFeatureDetector::levels`[protected]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines